function KxDiff = K_x_diff(t,y_hat,sigma_hat,k_x_bar,c_f,eps_y,eps_sigma,M,n)

diffvar = [y_hat;sigma_hat];

fty1 = tempfun2(t,diffvar,k_x_bar,c_f,eps_y,eps_sigma,M,1);
fty2 = tempfun2(t,diffvar,k_x_bar,c_f,eps_y,eps_sigma,M,2);
fty3 = tempfun2(t,diffvar,k_x_bar,c_f,eps_y,eps_sigma,M,3);

[dfdy1,fac1] = numjac(@(t,diffvar)tempfun2(t,diffvar,k_x_bar,c_f,eps_y,eps_sigma,M,1),t,diffvar,fty1,[0.0000001 0.000001 0.000001 0.000001]');
[dfdy2,fac2] = numjac(@(t,diffvar)tempfun2(t,diffvar,k_x_bar,c_f,eps_y,eps_sigma,M,2),t,diffvar,fty2,[0.0000001 0.000001 0.000001 0.000001]');
[dfdy3,fac3] = numjac(@(t,diffvar)tempfun2(t,diffvar,k_x_bar,c_f,eps_y,eps_sigma,M,3),t,diffvar,fty3,[0.0000001 0.000001 0.000001 0.000001]');

KxDiff = [dfdy1(:,n) dfdy2(:,n) dfdy3(:,n)];