

y_1_noise =  [Y(:,1) Y(:,2) Y(:,3)]'; 
% %%%%%%%%%%%% Position%%%%%%%%%%%
figure(1);
subplot(3,1,1);
plot(Tim,y_1_noise(1,:));
%YLIM([0 2]);
%set(axes_handle,'YLim',[-1 1]);
title('Position')
hold on;
plot(Tim,Y(:,7),'r');
hold on;
plot(Tim,Y(:,15),'k')
xlabel('Time[s]');
ylabel('North direction[m]')
legend('Ship','Stamnes','Wondergem');
%legend('Ship','Wondergem');
hold off;
subplot(3,1,2);
plot(Tim,y_1_noise(2,:));
hold on;
plot(Tim,Y(:,8),'r');
hold on;
plot(Tim,Y(:,16),'k')
xlabel('Time[s]');
ylabel('East direction[m]')
hold off;
subplot(3,1,3);
plot(Tim,y_1_noise(3,:));
hold on;
plot(Tim,Y(:,9),'r');
hold on;
plot(Tim,Y(:,17),'k')
xlabel('Time[s]');
ylabel('yaw[rad]')
hold off;
%%%%%%%%%%%%%%%%%%%% xy%%%%%%%%%%%%%%%%%%%
figure(2);
plot(Y(:,2),Y(:,1));
title('North-East Plot')
xlabel('East[m]');
ylabel('North[m]')
%%%%%%%%%%%%%%%%%%%%velocity%%%%%%%%%%
Ship_velocity = [];
Stamnes_velocity = [];
v_max = 0;
for i = 1:length(Tim)
    Ship_velocity = [Ship_velocity;(L([Y(i,1) Y(i,2) Y(i,3)]',M)*[Y(i,4) Y(i,5) Y(i,6)]')'];
    x_hat = [Y(i,10) Y(i,11) Y(i,12)]'+K_x(Tim(i),Y(i,14),[Y(i,7) Y(i,8) Y(i,9)]',k_x_bar,c_f,eps_y,eps_sigma,M)*[Y(i,1) Y(i,2) Y(i,3)]';
    Stamnes_velocity = [Stamnes_velocity;(L([Y(i,1) Y(i,2) Y(i,3)]',M)*x_hat)'];
end
 

figure(3);
subplot(3,1,1);
plot(Tim,Ship_velocity(:,1));
YLIM([0 0.4]);
title('Velocity')
hold on;
plot(Tim,Stamnes_velocity(:,1),'r');
hold on;
plot(Tim,Y(:,18),'k')
xlabel('Time[s]');
ylabel('North direction[m/s]')
legend('Ship','Stamnes','Wondergem');
%legend('Ship','Wondergem');
hold off;
subplot(3,1,2);
plot(Tim,Ship_velocity(:,2));
YLIM([0 0.2]);
hold on;
plot(Tim,Stamnes_velocity(:,2),'r');
hold on;
plot(Tim,Y(:,19),'k')
xlabel('Time[s]');
ylabel('East direction[m/s]')
hold off;
subplot(3,1,3);
plot(Tim,Ship_velocity(:,3));
YLIM([-0.2 0.2]);
hold on;
plot(Tim,Stamnes_velocity(:,3),'r');
hold on;
plot(Tim,Y(:,20),'k')
xlabel('Time[s]');
ylabel('yaw[rad/s]')
hold off;


Feil_stamnes_velocity = Ship_velocity-Stamnes_velocity;
Feil_wondergem_velocity = Ship_velocity-[Y(:,18) Y(:,19) Y(:,20)];


figure(4);
subplot(3,2,1);
plot(Tim,Feil_stamnes_velocity(:,1));
YLIM([-0.01 0.01]);
%YLIM([-0.3 0.01]);
XLIM([0 Tim(length(Tim))]);
title('Velocity Error for the Stamnes Observer')
xlabel('Time[s]');
ylabel('Error in North direction[m/s]')
subplot(3,2,2);
plot(Tim,Feil_wondergem_velocity(:,1));
title('Velocity Error for the Wondergem Observer')
xlabel('Time[s]');
ylabel('Error in North direction[m/s]')
YLIM([-0.01 0.01]);
%YLIM([-8 0.5]);
XLIM([0 Tim(length(Tim))]);
subplot(3,2,3);
plot(Tim,Feil_stamnes_velocity(:,2));
YLIM([-0.01 0.01]);
%YLIM([-0.25 0.01]);
XLIM([0 Tim(length(Tim))]);
xlabel('Time[s]');
ylabel('Error in East direction[m/s]')
subplot(3,2,4)
plot(Tim,Feil_wondergem_velocity(:,2));
xlabel('Time[s]');
ylabel('Error in East direction[m/s]')
YLIM([-0.01 0.01]);
%YLIM([-5 0.2]);
XLIM([0 Tim(length(Tim))]);
subplot(3,2,5);
plot(Tim,Feil_stamnes_velocity(:,3));
YLIM([-0.01 0.01]);
%YLIM([-0.3 0.01]);
XLIM([0 Tim(length(Tim))]);
xlabel('Time[s]');
ylabel('Error in yaw rate[rad/s]')
subplot(3,2,6);
plot(Tim,Feil_wondergem_velocity(:,3));
YLIM([-0.01 0.01]);
%YLIM([-0.3 6]);
XLIM([0 Tim(length(Tim))]);
xlabel('Time[s]');
ylabel('Error in yaw rate[rad/s]')


Feil_stamnes_position = [Y(:,1) Y(:,2) Y(:,3)]-[Y(:,7) Y(:,8) Y(:,9)];
Feil_wondergem_position = [Y(:,1) Y(:,2) Y(:,3)]-[Y(:,15) Y(:,16) Y(:,17)];
figure(5);
subplot(3,2,1);
plot(Tim,Feil_stamnes_position(:,1));
YLIM([-0.01 0.01]);
%YLIM([-0.05 1]);
XLIM([0 Tim(length(Tim))]);
title('Position Error for the Stamnes Observer')
xlabel('Time[s]');
ylabel('Error in North direction[m]')
subplot(3,2,2);
plot(Tim,Feil_wondergem_position(:,1));
xlabel('Time[s]');
ylabel('Error in North direction[m]')
title('Position Error for the Wondergem Observer')
YLIM([-0.01 0.01]);
%YLIM([-0.6 1]);
XLIM([0 Tim(length(Tim))]);
subplot(3,2,3);
plot(Tim,Feil_stamnes_position(:,2));
YLIM([-0.01 0.01]);
%YLIM([-1 0.05]);
XLIM([0 Tim(length(Tim))]);
xlabel('Time[s]');
ylabel('Error in East direction[m]')
subplot(3,2,4)
plot(Tim,Feil_wondergem_position(:,2));
YLIM([-0.01 0.01]);
%YLIM([-1 0.05]);
XLIM([0 Tim(length(Tim))]);
xlabel('Time[s]');
ylabel('Error in East direction[m]')
subplot(3,2,5);
plot(Tim,Feil_stamnes_position(:,3));
YLIM([-0.01 0.01]);
%YLIM([-3.15 0.1])
XLIM([0 Tim(length(Tim))]);
xlabel('Time[s]');
ylabel('Error in yaw[rad]')
subplot(3,2,6);
plot(Tim,Feil_wondergem_position(:,3));
YLIM([-0.01 0.01]);
%YLIM([-3.15 0.4])
XLIM([0 Tim(length(Tim))]);
xlabel('Time[s]');
ylabel('Error in yaw[rad]')

